# T38_Type_of_msg_t30_indicator Class Reference

`#include <t38.h>`

List of all members.

## Public Types

enum | Enumerations { e_no_signal, e_cng, e_ced, e_v21_preamble, e_v27_2400_training, e_v27_4800_training, e_v29_7200_training, e_v29_9600_training, e_v17_7200_short_training, e_v17_7200_long_training, e_v17_9600_short_training, e_v17_9600_long_training, e_v17_12000_short_training, e_v17_12000_long_training, e_v17_14400_short_training, e_v17_14400_long_training }

## Public Member Functions

| T38_Type_of_msg_t30_indicator (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
T38_Type_of_msg_t30_indicator & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum T38_Type_of_msg_t30_indicator::Enumerations

Enumerator:

  e_no_signal |
  e_cng |
  e_ced |
  e_v21_preamble |
  e_v27_2400_training |
  e_v27_4800_training |
  e_v29_7200_training |
  e_v29_9600_training |
  e_v17_7200_short_training |
  e_v17_7200_long_training |
  e_v17_9600_short_training |
  e_v17_9600_long_training |
  e_v17_12000_short_training |
  e_v17_12000_long_training |
  e_v17_14400_short_training |
  e_v17_14400_long_training |

## Constructor & Destructor Documentation

T38_Type_of_msg_t30_indicator::T38_Type_of_msg_t30_indicator | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

T38_Type_of_msg_t30_indicator& T38_Type_of_msg_t30_indicator::operator= | ( | unsigned | v | ) |

PObject* T38_Type_of_msg_t30_indicator::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- t38.h